commit:     7486ea82e8a31541f3c9213fc61ae636ea1f4a7b
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Feb 18 20:02:19 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Feb 18 20:02:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7486ea82

dev-python/pyformance-0.4-r1: revbump, EAPI=7, pull in bugfixes from git

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pyformance/Manifest                 |  1 +
 dev-python/pyformance/pyformance-0.4-r1.ebuild | 35 ++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pyformance/Manifest b/dev-python/pyformance/Manifest
index 6960c533444..eb27933535b 100644
--- a/dev-python/pyformance/Manifest
+++ b/dev-python/pyformance/Manifest
@@ -1,2 +1,3 @@
 DIST pyformance-0.3.4.tar.gz 19394 BLAKE2B 
4bd141df5b3264ae8abb5b5314fcba93aeeab960e4d1d70631a3d5ac072f94a2da48b480f74c446124fb9fbd54a8ffad9c75b2352509aaf991025a02bf736648
 SHA512 
5dbc83da62bf66767eaaf316824cf5683488d8ee594b72baee327c4ef594f84b5aed07654da483aff29bee98605e5265425be88c165a4bb06e7bdddbbf28e440
+DIST pyformance-0.4-patches.tar.xz 3500 BLAKE2B 
511001e9011db5ef25b802739dca51337d039193a9d3322bbf94bcb120bbbeff2e1a818217970a1a97d77cd8d7da462792248910acbb3ef586704596276b7056
 SHA512 
858cefd6c8b151db10c63e0d8117cd6c226bd153103993040909e8fd2ab7a41a7770a2ae6de0f395a4f9f6cce3213d7ecabc0bf647657ee04fc10d76f51e07e3
 DIST pyformance-0.4.tar.gz 20683 BLAKE2B 
d818832b7ff43a7e1db888bdb7dc333a532c7d3365dd472f9dbb3300f676cd3cc8f82f8d1c444aa277404ff8e72843eca35e3905542700ea37b1dad3e05c8b4c
 SHA512 
a03324977b40f5097ae4608dd7c36bdbd2a20b261c9d3e32d1be19e5fca50e17fcc24df781b6c3ab60314534368c5e9cf08bc3863d4d2d7ecc59f9af26f8d20e

diff --git a/dev-python/pyformance/pyformance-0.4-r1.ebuild 
b/dev-python/pyformance/pyformance-0.4-r1.ebuild
new file mode 100644
index 00000000000..92b43e1f1e9
--- /dev/null
+++ b/dev-python/pyformance/pyformance-0.4-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 python3_8 )
+
+inherit distutils-r1
+
+DESCRIPTION="Performance metrics, based on Coda Hale's Yammer metrics"
+HOMEPAGE="https://pyformance.readthedocs.org/ 
https://github.com/omergertel/pyformance/ https://pypi.org/project/pyformance/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+       
https://dev.gentoo.org/~chutzpah/dist/python/pyformance-0.4-patches.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+       "${WORKDIR}/pyformance-0.4-patches"
+)
+
+python_prepare() {
+       sed -e "s/find_packages()/find_packages(exclude=['tests'])/" \
+               -i setup.py || die
+}

Reply via email to